pcl::SHOT1344 Struct Reference
Module common

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | descriptor [1344]
float | rf [9]

## Friends

std::ostream & | operator<< (std::ostream &os, const SHOT1344 &p)

## Detailed Description

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color.

Definition at line 1219 of file point_types.hpp.

## Member Function Documentation

static int pcl::SHOT1344::descriptorSize | ( |  | ) |

inline static

Definition at line 1223 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SHOT1344 & | p
| ) |  |

friend

## Member Data Documentation

float pcl::SHOT1344::descriptor[1344]

Definition at line 1221 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< SHOT1344 >::copyToFloatArray().

float pcl::SHOT1344::rf[9]

Definition at line 1222 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp